Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590289 - perf is not linked against libbfd
Summary: perf is not linked against libbfd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-08 16:39 UTC by Kyle McMartin
Modified: 2015-09-01 03:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-08 16:45:01 UTC


Attachments (Terms of Use)

Description Kyle McMartin 2010-05-08 16:39:04 UTC
libbfd provides the ability to do name demangling for perf, which is a useful feature.

Unfortunately, the kernel build is missing a requires against binutils-static, which contains libbfd.a. (For some reason, it refuses to link against the shared library.)

Comment 1 Kyle McMartin 2010-05-08 16:45:01 UTC
Fixed in upcoming builds.

Comment 2 Fedora Update System 2010-05-17 05:39:35 UTC
kernel-2.6.33.4-95.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.33.4-95.fc13

Comment 3 Fedora Update System 2010-05-19 19:17:48 UTC
kernel-2.6.33.4-95.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.